# FoundationClasses
TKernel
TColStd

# TColStd_SetIteratorOfSetOfReal Class Reference

`#include <TColStd_SetIteratorOfSetOfReal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_SetIteratorOfSetOfReal ()
Standard_EXPORT | TColStd_SetIteratorOfSetOfReal (const TColStd_SetOfReal &S)
Standard_EXPORT void | Initialize (const TColStd_SetOfReal &S)
Standard_Boolean | More () const
void | Next ()
const Standard_Real & | Value () const

## Private Attributes

TColStd_ListIteratorOfSetListOfSetOfReal | myIterator

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_SetIteratorOfSetOfReal::TColStd_SetIteratorOfSetOfReal | ( |  | ) |

Standard_EXPORT TColStd_SetIteratorOfSetOfReal::TColStd_SetIteratorOfSetOfReal | ( | const TColStd_SetOfReal & | S | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_SetIteratorOfSetOfReal::Initialize | ( | const TColStd_SetOfReal & | S | ) |

Standard_Boolean TColStd_SetIteratorOfSetOfReal::More | ( |  | ) | const

void TColStd_SetIteratorOfSetOfReal::Next | ( |  | ) |

void TColStd_SetIteratorOfSetOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_SetIteratorOfSetOfReal::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_SetIteratorOfSetOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const Standard_Real& TColStd_SetIteratorOfSetOfReal::Value | ( |  | ) | const

## Field Documentation

TColStd_ListIteratorOfSetListOfSetOfReal TColStd_SetIteratorOfSetOfReal::myIterator `[private]`

The documentation for this class was generated from the following file:

- TColStd_SetIteratorOfSetOfReal.hxx